-- MySQL dump 10.11
--
-- Host: localhost    Database: fidohis2
-- ------------------------------------------------------
-- Server version	5.0.51a-community-nt-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `nl_entry`
--

DROP TABLE IF EXISTS `nl_entry`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_entry` (
  `id_nodelist` int(10) unsigned NOT NULL,
  `id_nl_line` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id_nodelist`,`id_nl_line`),
  KEY `idx_id_nl_line` USING BTREE (`id_nl_line`,`id_nodelist`),
  CONSTRAINT `nl_entry_ibfk_1` FOREIGN KEY (`id_nodelist`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `nl_entry_ibfk_2` FOREIGN KEY (`id_nl_line`) REFERENCES `nl_line` (`id_nl_line`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 PACK_KEYS=1 COMMENT='Nodelist entries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_entry`
--
-- ORDER BY:  `id_nodelist`,`id_nl_line`

LOCK TABLES `nl_entry` WRITE;
/*!40000 ALTER TABLE `nl_entry` DISABLE KEYS */;
/*!40000 ALTER TABLE `nl_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nl_frmt`
--

DROP TABLE IF EXISTS `nl_frmt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_frmt` (
  `id_nl_frmt` smallint(4) unsigned NOT NULL auto_increment,
  `ndl_frmt` varchar(30) NOT NULL,
  PRIMARY KEY  (`id_nl_frmt`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1 COMMENT='Nodelists/Pointlists formats';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_frmt`
--
-- ORDER BY:  `id_nl_frmt`

LOCK TABLES `nl_frmt` WRITE;
/*!40000 ALTER TABLE `nl_frmt` DISABLE KEYS */;
INSERT INTO `nl_frmt` (`id_nl_frmt`, `ndl_frmt`) VALUES (1,'St.Louis Nodelist'),(2,'Boss Pointlist'),(3,'Poss Pointlist'),(4,'Point/V7 Pointlist'),(5,'Fakenet Pointlist'),(6,'Fakenet R24 Old Pointlist'),(7,'Fakenet R23 Pointlist'),(8,'Fidouser Pointlist');
/*!40000 ALTER TABLE `nl_frmt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nl_history`
--

DROP TABLE IF EXISTS `nl_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_history` (
  `id_nl_node` int(10) unsigned NOT NULL,
  `id_nodelist_first` int(10) unsigned NOT NULL,
  `id_nodelist_last` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  USING BTREE (`id_nl_node`,`id_nodelist_first`,`id_nodelist_last`),
  KEY `FK_nl_history_2` (`id_nodelist_first`),
  KEY `FK_nl_history_3` (`id_nodelist_last`),
  CONSTRAINT `FK_nl_history_1` FOREIGN KEY (`id_nl_node`) REFERENCES `nl_node` (`id_nl_node`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_nl_history_2` FOREIGN KEY (`id_nodelist_first`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_nl_history_3` FOREIGN KEY (`id_nodelist_last`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Nodelist history';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_history`
--
-- ORDER BY:  `id_nl_node`,`id_nodelist_first`,`id_nodelist_last`

LOCK TABLES `nl_history` WRITE;
/*!40000 ALTER TABLE `nl_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `nl_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nl_line`
--

DROP TABLE IF EXISTS `nl_line`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_line` (
  `id_nl_line` int(10) unsigned NOT NULL auto_increment,
  `id_nl_node` int(10) unsigned NOT NULL,
  `state` enum('Pvt','Hold','Down','') default NULL,
  `nodename` varchar(80) NOT NULL,
  `location` varchar(80) NOT NULL,
  `phone` varchar(80) NOT NULL,
  `baudrate` int(10) unsigned NOT NULL,
  `flags` varchar(128) NOT NULL,
  `hnline` varchar(40) NOT NULL,  
  PRIMARY KEY  (`id_nl_line`),
  UNIQUE KEY `idx_hnline` USING BTREE (`hnline`),
  KEY `idx_nodename` (`nodename`),
  KEY `idx_location` (`location`),
  KEY `idx_phone` (`phone`),  
  KEY `nl_line_ibfk_1` (`id_nl_node`),
  CONSTRAINT `nl_line_ibfk_1` FOREIGN KEY (`id_nl_node`) REFERENCES `nl_node` (`id_nl_node`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Nodelist lines; InnoDB free: 2755584 kB';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_line`
--
-- ORDER BY:  `id_nl_line`

LOCK TABLES `nl_line` WRITE;
/*!40000 ALTER TABLE `nl_line` DISABLE KEYS */;
/*!40000 ALTER TABLE `nl_line` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nl_node`
--

DROP TABLE IF EXISTS `nl_node`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_node` (
  `id_nl_node` int(10) unsigned NOT NULL auto_increment,
  `keyword` enum('Zone','Region','Host','Hub','Node','Point') NOT NULL,
  `zone` smallint(5) unsigned NOT NULL,
  `region` smallint(5) unsigned NOT NULL,
  `net` smallint(5) unsigned NOT NULL,
  `hub` smallint(5) unsigned NOT NULL,
  `node` smallint(5) unsigned NOT NULL,
  `point` smallint(5) unsigned NOT NULL,  
  `sysop` varchar(80) NOT NULL,
  `sysop_lastname` varchar(80) NOT NULL,
  `hnode` varchar(32) NOT NULL,  
  PRIMARY KEY  (`id_nl_node`),
  KEY `idx_zone_region` (`zone`,`region`),
  KEY `idx_zone_net_hub` (`zone`,`net`,`hub`),
  KEY `idx_sysop` (`sysop`),
  KEY `idx_sysop_ln` (`sysop_lastname`),
  KEY `idx_keyword` (`keyword`),
  KEY `idx_hnode` (`hnode`)  
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='node definition';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_node`
--
-- ORDER BY:  `id_nl_node`

LOCK TABLES `nl_node` WRITE;
/*!40000 ALTER TABLE `nl_node` DISABLE KEYS */;
/*!40000 ALTER TABLE `nl_node` ENABLE KEYS */;
UNLOCK TABLES;


--
-- Table structure for table `nl_queries`
--

DROP TABLE IF EXISTS `nl_queries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_queries` (
  `id_q` int(10) unsigned NOT NULL auto_increment,
  `qtype` smallint(5) unsigned NOT NULL,
  `query` varchar(80) NOT NULL,
  PRIMARY KEY  (`id_q`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='queries';
SET character_set_client = @saved_cs_client;



--
-- Table structure for table `nl_stat`
--

DROP TABLE IF EXISTS `nl_stat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_stat` (
  `id_nl_stat` int(10) unsigned NOT NULL auto_increment,
  `id_nodelist` int(10) unsigned NOT NULL,
  `zone` smallint(5) unsigned NOT NULL,
  `region` smallint(5) unsigned NOT NULL,
  `net` smallint(5) unsigned NOT NULL,
  `nodes` smallint(5) unsigned NOT NULL,
  PRIMARY KEY  (`id_nl_stat`),
  KEY `idx_zone_region_net` USING BTREE (`zone`,`region`,`net`),
  KEY `idx_zone_net` USING BTREE (`zone`,`net`),
  KEY `idx_id_zone_region` (`id_nodelist`,`zone`,`region`),
  CONSTRAINT `FK_nl_stat_1` FOREIGN KEY (`id_nodelist`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Statistics';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_stat`
--
-- ORDER BY:  `id_nl_stat`

LOCK TABLES `nl_stat` WRITE;
/*!40000 ALTER TABLE `nl_stat` DISABLE KEYS */;
/*!40000 ALTER TABLE `nl_stat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nl_type`
--

DROP TABLE IF EXISTS `nl_type`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_type` (
  `id_nl_type` smallint(4) unsigned NOT NULL auto_increment,
  `id_nl_frmt` smallint(4) unsigned NOT NULL,
  `ndl_mask` varchar(20) NOT NULL,
  `ndl_name` varchar(80) NOT NULL,
  `identifier` varchar(80) NOT NULL,
  PRIMARY KEY  (`id_nl_type`),
  KEY `idx_mask` (`ndl_mask`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1 COMMENT='Nodelists/Pointlists types';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nl_type`
--
-- ORDER BY:  `id_nl_type`

LOCK TABLES `nl_type` WRITE;
/*!40000 ALTER TABLE `nl_type` DISABLE KEYS */;
INSERT INTO `nl_type` (`id_nl_type`, `id_nl_frmt`, `ndl_mask`, `ndl_name`, `identifier`) VALUES (1,1,'NODELIST','NODELIST (Zone2)','Zone,Region,Host,Hub'),(2,2,'Z2PNT','Z2PNT Boss','Boss,!Point'),(3,3,'Z2PNT','Z2PNT Poss','Boss,Point'),(4,2,'R24PNT','R24PNT Boss','Boss,!Point'),(5,5,'POINTS24','POINTS24 Fakenet','Region,Host,!Zone'),(6,6,'POINTS24','POINTS24 Fakenet Old','Region,Host,!Zone'),(7,3,'R22PNT','R22PNT Poss','Boss,Point'),(8,2,'R23PNT','R23PNT Boss','Boss,!Point'),(9,7,'DK-POINT','DK-POINT.LST Fakenet','Host,UBOSS:'),(10,2,'P28-LIST','P28-LIST Boss','Boss,!Point'),(11,8,'POINTPL','R28 LIST Fidouser',''),(12,2,'R29PNT_B','R29PNT Boss','Boss,!Point'),(13,4,'R29PNT_P','R29PNT_P Point','Host,Point'),(14,2,'R31PNT','R31PNT Boss','Boss,!Point'),(15,4,'POINT4D','POINT4D Point','Host,Point'),(16,2,'PTLSTR34','PTLSTR34 Boss','Boss,!Point'),(17,5,'POINTR34','POINTR34 Fakenet','!Zone,Region,Host'),(18,3,'R45POINT','R45POINT Poss','Boss,Point'),(19,3,'PNT46REG','PNT46REG Poss','Boss,Point'),(20,2,'POINT_48','POINT_48 Boss','Boss,!Point'),(21,3,'R50PNT','R50PNT Poss','Boss,Point');
/*!40000 ALTER TABLE `nl_type` ENABLE KEYS */;
UNLOCK TABLES;


--
-- Table structure for table `nl_wqueue`
--

DROP TABLE IF EXISTS `nl_wqueue`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_wqueue` (
  `id_wq` int(10) unsigned NOT NULL auto_increment,
  `sord` int(5) unsigned NOT NULL default '99999',
  `state` tinyint(1) unsigned NOT NULL default '0',
  `ndlpf` varchar(255) NOT NULL,
  `year` char(4) NOT NULL,
  `day` char(3) NOT NULL,
  `date` date default NULL,
  `nlines` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id_wq`),
  KEY `idx_sord` (`sord`),
  KEY `idx_stat` (`state`),
  KEY `idx_year` (`year`),
  KEY `idx_day` (`day`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Work Queue';
SET character_set_client = @saved_cs_client;


--
-- Table structure for table `nodelist`
--

DROP TABLE IF EXISTS `nodelist`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nodelist` (
  `id_nodelist` int(10) unsigned NOT NULL auto_increment,
  `id_nl_frmt` smallint(4) unsigned NOT NULL,  
  `id_nl_type` smallint(4) unsigned NOT NULL,
  `year` char(4) NOT NULL,
  `day` char(3) NOT NULL COMMENT 'day number',
  `crc` smallint(5) unsigned default NULL COMMENT 'crc-16 from 1st nodelist line',
  `date` date default NULL COMMENT 'date from 1st nodelist line',
  `hndl` varchar(32) NOT NULL,  
  PRIMARY KEY  (`id_nodelist`),
  KEY `idx_frmt` (`id_nl_frmt`),
  KEY `idx_type` (`id_nl_type`),
  KEY `idx_date` (`date`),
  KEY `idx_hndl` (`hndl`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Fidonet nodelists';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `nodelist`
--
-- ORDER BY:  `id_nodelist`

LOCK TABLES `nodelist` WRITE;
/*!40000 ALTER TABLE `nodelist` DISABLE KEYS */;
/*!40000 ALTER TABLE `nodelist` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-02-22 10:26:32
